Read factual hosted usage for an optional closed time window
curl --request GET \
--url https://api.firedrill.run/v1/organization/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/organization/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/organization/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"organizationId": "<string>",
"entitlement": {
"schemaVersion": 1,
"entitlementId": "<string>",
"organizationId": "<string>",
"plan": "<string>",
"limits": {
"maxConcurrentSessions": 50000,
"maxConcurrentRuns": 50000,
"maxSessionTtlMs": 302400000,
"maxDrillTimeoutMs": 43200500,
"maxEvidenceRetentionMs": 15768000000,
"usage": {
"sessionMs": "<string>",
"warmLeaseMs": "<string>",
"storageByteMs": "<string>",
"transferBytes": "<string>",
"drillMs": "<string>"
}
},
"effectiveAtMs": 0,
"expiresAtMs": 0
},
"window": {
"fromAtMs": 0,
"toAtMs": 0
},
"finalized": {
"derived": {
"sessionMs": "<string>",
"warmLeaseMs": "<string>",
"storageByteMs": "<string>",
"transferBytes": "<string>",
"drillMs": "<string>"
},
"recorded": {
"sessionMs": "<string>",
"warmLeaseMs": "<string>",
"storageByteMs": "<string>",
"transferBytes": "<string>",
"drillMs": "<string>"
}
},
"active": {
"sessions": 0,
"runs": 0
},
"reconciliation": {
"status": "current",
"missingRecords": 0,
"conflictingRecords": 0
},
"generatedAtMs": 0
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read factual hosted usage for an optional closed time window
Read factual hosted usage for an optional closed time window
Authorizations
Opaque control credential
Response
Organization usage
Available options:
1 Pattern:
^org_[0-9a-z]{12,32}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991